<?php
/**
 * Copyright Â© 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
use Magento\Framework\App\Action\Action;

// @codingStandardsIgnoreFile
?>
<style type="text/css">
.products-grid .product-item-info .yotpo{
text-align: center;
margin-bottom: 10px;
}
.products-grid .product-item-info .yotpo .yotpo div{
display: inline-block !important;
}
.products-grid .product-item-info .yotpo .text-m{
margin: 2px 10px;
}
.products-list .product-item-info .yotpo .text-m{
margin: 2px 10px;
}
.products-list .product-item-info .yotpo{
margin-top: 10px;
}
.products-grid .product-item-info .yotpo div{
    display: inline-block !important;
}
.catalog-category-view .products-list div[class^="swatch-opt-"] {
	float: none;!important;
}
</style>
<?php
/**
 * Product list template
 *
 * @var $block \Magento\Catalog\Block\Product\ListProduct
 */
?>
<?php
$_productCollection = $block->getLoadedProductCollection();
$_helper = $this->helper('Magento\Catalog\Helper\Output');
$themeHelper = $this->helper('MGS\Mpanel\Helper\Data');
$_aHelper = $this->helper('MGS\AjaxCart\Helper\Data');
$_hideCartHelper = $this->helper('Alogic\Customtheme\Helper\Data');
$colClassRow = $themeHelper->getColClass();
$arrColClass = explode(' ', $colClassRow);
$pageType = 'catalogsearch';
$settings = $themeHelper->getThemeSettings();
$lazyLoad = $themeHelper->getStoreConfig('mgstheme/general/lazy_load');
$baseImage = $this->getViewFileUrl('MGS_Mpanel::images/blank.png');
$baseImageHover = $this->getViewFileUrl('MGS_Mpanel::images/blank.png');
$perrow = $settings['catalog']['per_row'];
$animationType = $_aHelper->getConfig('ajaxcart/additional/animation_type');

$changeProductPerRow = $themeHelper->getEnableChangeProductPerRow();
$isCartDisabled = $_hideCartHelper->getIsCartDisabled();

$storeCode = \Magento\Framework\App\ObjectManager::getInstance()
	->get(\Magento\Store\Model\StoreManagerInterface::class)
	->getStore()
	->getCode();
    
if ($this->hasData('page_type')) {
	$pageType = $this->getData('page_type');
}
if ($pageType == 'catalog') {
	$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
	$category = $objectManager->get('Magento\Framework\Registry')->registry('current_category');
	if ($category->getPerRow()) {
		$perrow = $category->getPerRow();
	}
} elseif ($pageType == 'catalogsearch') {
	if ($settings['catalogsearch']['per_row']) {
		$perrow = $settings['catalogsearch']['per_row'];
	}
} elseif ($pageType == 'catalog_brand') {
	if ($settings['catalog_brand']['per_row']) {
		$perrow = $settings['catalog_brand']['per_row'];
	}
}

$hover_effect = "";
if ($themeHelper->getStoreConfig('mpanel/catalog/disable_hover_effect') == 1) {
	$hover_effect = "disable_hover_effect";
}

$colCheck = $themeHelper->convertPerRowtoCol($perrow);
$colClass = $themeHelper->convertColClass($colCheck, 'col');

$classNumber = '';
$dataCol = '';
?>
<?php if (!$_productCollection->count()): ?>
    <div class="message info empty"><div><?php /* @escapeNotVerified */echo __('We can\'t find products matching the selection.') ?></div></div>
<?php else: ?>
	<div class="category-product-actions">
		<?php if ($changeProductPerRow): ?>
			<?php $defaultValueProduct = $themeHelper->getDefaultValueNumberProductPerRow(); ?>
				    <?php if (in_array($defaultValueProduct, [3,4])): ?>
		    	<?php
$colCheck = $themeHelper->convertPerRowtoCol($defaultValueProduct);
$colClass = $themeHelper->convertColClass($colCheck, 'col');
?>
		    <?php endif?>
	    <?php endif?>
		<div class="filter-toggle">
			<a href="javascript:void(0)" class="title">
				<span class="icon pe-7s-edit"></span>
			</a>
		</div>
		<?php echo $block->getAdditionalHtml() ?>
		<?php echo $block->getToolbarHtml() ?>
	</div>
    <?php

    
if ($block->getMode() == 'grid') {
	$viewMode = 'grid';
	if(in_array($storeCode, ['de','se','ca','nz','no','dk','fi','ie','sg','hk','th','ae'])){
		$image = 'product_base_image';
		$image_hover = 'product_base_image';
	}else{
		$image = 'category_page_grid';
		$image_hover = 'product_thumbnail_image';
	}
	
	$showDescription = false;
	$templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
} else {
	$viewMode = 'list';

	if(in_array($storeCode, ['de','se','ca','nz','no','dk','fi','ie','sg','hk','th','ae'])){
		$image = 'product_base_image';
		$image_hover = 'product_base_image';
	}else{
		$image = 'category_page_list';
		$image_hover = 'product_thumbnail_image';
	}

	$showDescription = true;
	$templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::FULL_VIEW;
}
/**
 * Position for actions regarding image size changing in vde if needed
 */
$pos = $block->getPositioned();
$routeName = $this->getRequest()->getRouteName();
?>
<?php 
if($routeName == 'instantsearch' || $routeName == 'catalogsearch'){
	$salable = [];
	$nsalable = [];
	foreach ($_productCollection as $_product){ 
		
		if($_product->isSaleable()){
			$salable[] = $_product;
		}else{
			$nsalable[] = $_product;
		}
		
	}
	$_productCollection = array_merge($salable, $nsalable);
}

?>
    <div class="products wrapper <?php /* @escapeNotVerified */echo $viewMode; ?> products-<?php /* @escapeNotVerified */echo $viewMode; ?>" id="product-wrapper">
        <?php $iterator = 1;?>
				<div class="row">
					<!-- <div class="col-sm-3">
						filters will come
					</div> -->
					<div class="col-sm-12">
						<ol class="products <?php if ($changeProductPerRow): ?>product-list-masonry-change-product<?php endif?> list items product-items <?php if ($block->getMode() == 'grid'): ?>row<?php endif?> <?php echo 'row-' . $arrColClass[0] ?>">

					<?php $_imagehelper = $this->helper('Magento\Catalog\Helper\Image');?>
					<?php $size = $themeHelper->getImageSize();?>
					<?php $padding = $themeHelper->getImagePadding();?>
					<?php $quickViewHelper = $this->helper('MGS\QuickView\Helper\Data');?>
					<?php $compareHelper = $this->helper('Magento\Catalog\Helper\Product\Compare');?>

					<?php if ($block->getMode() == 'grid'): ?>
						<?php $params = $block->getRequest()->getParams();?>
						<?php if ($settings['catalog']['ajaxscroll']): ?>

							<?php if (isset($params['product_list_limit'])): ?>
								<?php $countAll = $params['product_list_limit'];?>
							<?php else: ?>
								<?php $countAll = $themeHelper->getStoreConfig('catalog/frontend/grid_per_page');?>
							<?php endif?>

							<?php if (isset($params['p'])): ?>
								<?php $i = ($params['p'] - 1) * $countAll;?>
							<?php else: ?>
								<?php $i = 0;?>
							<?php endif?>

						<?php else: ?>
							<?php $i = 0;?>
						<?php endif?>

						<?php /** @var $_product \Magento\Catalog\Model\Product */?>
						<?php foreach ($_productCollection as $_product): $i++;?>
								<!-- <li class="item product <?php if ($changeProductPerRow): ?>product-item-masonry<?php endif?> product-item-info product-item <?php echo $colClass ?> <?php echo $themeHelper->getClearClass($perrow, $i) ?> <?php echo $hover_effect ?>"> -->
								<li class="item product <?php if ($changeProductPerRow): ?>product-item-masonry<?php endif?> product-item-info product-item col-sm-4 <?php echo $themeHelper->getClearClass($perrow, $i) ?> <?php echo $hover_effect ?>">
									<div class="item-product-col">
								<?php $_productNameStripped = $block->stripTags($_product->getName(), null, true);?>
								<?php $productImage = $_imagehelper->init($_product, $image)->resize($size['width'], $size['height'])->getUrl();?>
								<?php $productImageHover = $_imagehelper->init($_product, $image_hover)->resize($size['width'], $size['height'])->getUrl();?>
								<?php
		$productThumbnail = $_imagehelper->init($_product, 'product_thumbnail_image')->resize($size['width'], $size['height'])->getUrl();
		?>
								<?php if (!$lazyLoad): ?>
									<?php $baseImage = $productImage?>
									<?php $baseImageHover = $productImageHover?>
								<?php endif?>
								<div class="product-top">
									<?php if ($themeHelper->getStoreConfig('mpanel/catalog/images_slides') == 1): ?>
									 <a href="<?php echo $_product->getProductUrl() ?>" style="padding-bottom: <?php echo $padding; ?>;" class="product photo product-item-photo" tabindex="-1">
										<img src="<?php echo $baseImage ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive product-image-photo img-thumbnail<?php if ($lazyLoad): ?> lazy<?php endif?>" data-src="<?php echo $productImage ?>"/>

										<?php if (basename($_product->getData('thumbnail')) != 'no_selection'): ?>
											<?php if (basename($_product->getData('thumbnail')) != basename($_product->getData('small_image'))): ?>
												<img src="<?php echo $baseImageHover ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive img-hover-show<?php if ($lazyLoad): ?> lazy<?php endif?>" data-src="<?php echo $productImageHover ?>" />
											<?php endif?>
										<?php endif?>

										<div class="product-image-photo"></div>
									</a>

									<?php else: ?>
									 <a href="<?php echo $_product->getProductUrl() ?>" style="padding-bottom: <?php echo $padding; ?>;" class="product photo product-item-photo" tabindex="-1">
										<img src="<?php echo $baseImage ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive product-image-photo img-thumbnail<?php if ($lazyLoad): ?> lazy<?php endif?>" data-src="<?php echo $productImage ?>"/>

										<?php if (basename($_product->getData('thumbnail')) != 'no_selection'): ?>
											<?php if (basename($_product->getData('thumbnail')) != basename($_product->getData('small_image'))): ?>
												<img src="<?php echo $baseImageHover ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive img-hover-show<?php if ($lazyLoad): ?> lazy<?php endif?>" data-src="<?php echo $productImageHover ?>" />
											<?php endif?>
										<?php endif?>

										<div class="product-image-photo"></div>
									</a>

									<?php endif;?>
									<?php //echo $themeHelper->getProductLabel($_product) ?>
									<ul class="actions-link" data-role="add-to-links">

										<li class="hidden-sm hidden-xs"><?php echo $quickViewHelper->aroundQuickViewHtml($_product); ?></li>

										<?php if ($this->helper('Magento\Wishlist\Helper\Data')->isAllow() && !$settings['catalog']['wishlist_button']): ?>
											<li><button data-title="<?php echo $block->escapeHtml(__('Add to Wish List')); ?>"
											   class="action towishlist"
											   title="<?php echo $block->escapeHtml(__('Add to Wish List')); ?>"
											   aria-label="<?php echo $block->escapeHtml(__('Add to Wish List')); ?>"
											   data-post='<?php /* @escapeNotVerified */echo $block->getAddToWishlistParams($_product); ?>'
											   data-action="add-to-wishlist"
											   role="button">
												<i class="pe-7s-like"></i>
											</button></li>
										<?php endif;?>
									</ul>
								</div>
								<div class="product details product-item-details">
									<h6 class="part-nos id-<?php echo $_product->getId();?>">Part No: <span><?php echo $_product->getSku();?></span> </h6>

									<h5 class="product name product-item-name equalHeight">
										<a class="product-item-link" href="<?php echo $_product->getProductUrl() ?>">
											<?php echo $_helper->productAttribute($_product, $_product->getName(), 'name'); ?>
										</a>
									</h5>

<div class="yotpo bottomLine"
data-appkey="QvDU8Pgt1mWuxBUKUWwjVhIdmG8ot3lPiC1RUrvk"
data-domain="https://alogic.co/us/" data-product-id="<?php echo $_product->getId();?>" >
</div>
									<?php if (!$themeHelper->getStoreConfig('mpanel/catalog/review')): ?>
										<?php echo $block->getReviewsSummaryHtml($_product, $templateType, true); ?>
									<?php endif?>

									<?php echo $block->getProductPrice($_product) ?>
 <?php if (!$_product->isSaleable()){ ?>  
 	<?php if (!$isCartDisabled){ ?>
									<div class="notify-box 11">
										<div class="product alert notify-box-stock overriden">
											                    <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
											                </div>
									</div>
<?php } ?>
<?php } ?>
									<?php echo $block->getProductDetailsHtml($_product); ?>
									<?php if ($themeHelper->getStoreConfig('mpanel/catalog/disable_add_to_cart') == 0 && $themeHelper->getStoreConfig('mpanel/catalog/disable_hover_effect') == 1): ?>
										<?php if ($_product->isSaleable()){ ?>
											<div>
												<?php $postParams = $block->getAddToCartPostParams($_product);?>
												<form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
													<input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
													<input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
													<input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
													<button class="action tocart btn-cart hover_effect" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

														<span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
													</button>
												</form>
											</div>
										<?php }else{ ?>
											<div class="notify-box">
												<div class="emty-box"></div>
											                    <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
											</div>
										<?php }?>
									<?php endif?>

									<?php if ($themeHelper->getStoreConfig('mpanel/catalog/disable_add_to_cart') == 0 && $themeHelper->getStoreConfig('mpanel/catalog/disable_hover_effect') == 0): ?>
										<?php if ($_product->isSaleable()): ?>
											<div>
												<?php $postParams = $block->getAddToCartPostParams($_product);?>
												<form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
													<input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
													<input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
													<input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
													<?php
		$has_option = 0;
		if ($_product->getTypeId() == 'simple') {
			$data = $_product->getData();
			$has_option = (isset($data['has_options']) && $data['has_options'] == 1) ? 1 : 0;
		}

		?>
													<?php if ($animationType == 'cartshow' && ($_product->getTypeId() == 'configurable' || $_product->getTypeId() == 'bundle' || $_product->getTypeId() == 'grouped' || ($_product->getTypeId() == 'simple' && $has_option == 1))): ?>
														<button class="action btn-cart tocart" type="button" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>" onclick="window.location.href = '<?php echo $_product->getProductUrl() ?>'">

															<span class="product-item-link">
																<?php echo __('Add to cart'); ?>
															</span>
														</button>
													<?php else: ?>
														<?php //if($_product->getTypeId() == 'simple'){  ?>
														<?php //if($themeHelper->getSalableQty($_product) >=0 ){ ?>
														<button class="action tocart btn btn-primary 1111" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

															<span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
														</button>
													<?php //} ?>
												<?php //} ?>
													<?php endif?>
												</form>
											</div>
										<?php endif?>
									<?php endif?>
								</div>
								</div>
							</li>
						<?php endforeach?>
					<?php else: ?>
						<?php /** @var $_product \Magento\Catalog\Model\Product */?>
						<?php foreach ($_productCollection as $_product): ?>
							<?php $_productNameStripped = $block->stripTags($_product->getName(), null, true);?>
							<?php $productImage = $_imagehelper->init($_product, $image)->resize($size['width'], $size['height'])->getUrl();?>
							<?php $productImageHover = $_imagehelper->init($_product, $image_hover)->resize($size['width'], $size['height'])->getUrl();?>
							<?php if (!$lazyLoad): ?>
								<?php $baseImage = $productImage?>
								<?php $baseImageHover = $productImageHover?>
							<?php endif?>
							<li class="item product product-item-info product-item">
								<div class="row">
									<div class="col-md-3 col-sm-4">
										<div class="product-image-content">
											<a href="<?php echo $_product->getProductUrl() ?>" style="padding-bottom: <?php echo $padding; ?>;" class="product photo product-item-photo" tabindex="-1">
												<img src="<?php echo $baseImage ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive product-image-photo img-thumbnail<?php if ($lazyLoad): ?> lazy<?php endif?>" data-src="<?php echo $productImage ?>"/>

												<?php if (basename($_product->getData('thumbnail')) != 'no_selection'): ?>
													<?php if (basename($_product->getData('thumbnail')) != basename($_product->getData('small_image'))): ?>
														<img src="<?php echo $baseImageHover ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive img-hover-show<?php if ($lazyLoad): ?> lazy<?php endif?>" data-src="<?php echo $productImageHover ?>" />
													<?php endif?>
												<?php endif?>
												<div class="product-image-photo"></div>
											</a>
											<?php //echo $themeHelper->getProductLabel($_product) ?>
											<?php echo $quickViewHelper->aroundQuickViewHtml($_product); ?>
										</div>
										<?php
										
    //if($_product->getSku() =='WCG1X30SGR-US'){
    	//echo "Final-".$_product->getFinalPrice();
    	//echo "main-".$_product->getPrice();
    	//echo "<br />";
    	if($_product->getPrice()!=0){
    		$_savePercent = 100 - round(((float)$_product->getFinalPrice() / (float)$_product->getPrice()) * 100);
    		if($_savePercent > 0){
    			echo  '<div class="price-off">'.$_savePercent. '% off</div>';
    		}
    		
    	}
    
    //}
    
    ?>
    <?php 
    $productSku = $_product->getSku();
									$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
									$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
         
        
        $storeId = $storeManager->getStore()->getStoreId();   
if($_product->getSku() == 'MSP31XX15W' && $storeId == 35){
        echo "<span class='al_discount_p' >20% off</span>";
}?>
									</div>
									<div class="col-md-5 col-sm-8">
										<div class="visible-xs padding-top20"></div>
										<div class="product details product-item-details">
											<h5 class="product name product-item-name">
												<a class="product-item-link" href="<?php echo $_product->getProductUrl() ?>">
													<?php echo $_helper->productAttribute($_product, $_product->getName(), 'name'); ?>
												</a>
											</h5>


											<h6 class="part-nos id-<?php echo $_product->getId();?>">Part No: <span><?php echo $_product->getSku();?></span> </h6>
											<?php
											     
     ?>
		<?php if($productSku == '27F34KCPD' && $storeId == 35){?>
        	<?php 
        		$productRepository = $objectManager->get('Magento\Catalog\Api\ProductRepositoryInterface'); 
        		$irisProduct = $productRepository->get('IUWA09');

        	?>
			<div class="al_coupon_section" style="display:none;">
				<span></span>

    <div class="text">				
				Buy Now and get<a href="<?php echo $irisProduct->getProductUrl(); ?>"> ALOGIC IRIS Webcam</a> worth $69.99 for free!
			</div>
			</div>
		<?php } ?>
											<div class="yotpo bottomLine"
												data-appkey="QvDU8Pgt1mWuxBUKUWwjVhIdmG8ot3lPiC1RUrvk"
												data-domain="https://alogic.co/us/" data-product-id="<?php echo $_product->getId();?>" >
												</div>
											<?php if (!$themeHelper->getStoreConfig('mpanel/catalog/review')): ?>
												<?php echo $block->getReviewsSummaryHtml($_product, $templateType, true); ?>
											<?php endif?>
											<div class="custom-product-price" style="visibility:hidden;">
												<?php if ($_product->getTypeId() == 'configurable') {?>
												<?php echo $block->getProductPrice($_product) ?>	
												<?php } ?>
											</div>											

											<?php echo $block->getProductDetailsHtml($_product); ?>

											<?php if ($_helper->productAttribute($_product, $_product->getShortDescription(), 'short_description')): ?>
												<div class="product description product-item-description">
													<?php /* @escapeNotVerified */echo $_helper->productAttribute($_product, $_product->getShortDescription(), 'short_description') ?>
												</div>
											<?php endif?>


										</div>
									</div>
									<div class="col-sm-offset-4 col-sm-8 col-md-4 col-md-offset-0">
										<?php if (!$isCartDisabled){ ?>
										<div class="amount-wrapper price-box price-final_price">
											<div class="amount-wrapper-price" id="amount-wrapper-price-<?php echo $_product->getId(); ?>">
												<?php echo $block->getProductPrice($_product) ?>
											</div>
											<ul class="actions-link" data-role="add-to-links">

													<?php if ($_product->isSaleable()): ?>
														<li><?php $postParams = $block->getAddToCartPostParams($_product);?>
														<form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data'][Action::PARAM_NAME_URL_ENCODED], 'product' => $postParams['data']['product']]); ?>" method="post">
															<input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
															<input type="hidden" name="<?php /* @escapeNotVerified */echo Action::PARAM_NAME_URL_ENCODED; ?>" value="<?php /* @escapeNotVerified */echo $postParams['data'][Action::PARAM_NAME_URL_ENCODED]; ?>">
															<?php echo $block->getBlockHtml('formkey') ?>

															<?php
			$has_option = 0;
			if ($_product->getTypeId() == 'simple') {
				$data = $_product->getData();
				$has_option = (isset($data['has_options']) && $data['has_options'] == 1) ? 1 : 0;
			}

			?>
														<?php if ($animationType == 'cartshow' && ($_product->getTypeId() == 'configurable' || $_product->getTypeId() == 'bundle' || $_product->getTypeId() == 'grouped' || ($_product->getTypeId() == 'simple' && $has_option == 1))): ?>
															<button class="action tocart btn btn-primary" type="button" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>" onclick="window.location.href = '<?php echo $_product->getProductUrl() ?>'">

																<span class="product-item-link">
																	<?php echo __('Add to cart'); ?>
																</span>
															</button>
														<?php else: ?>
															<div class="box-tocart">
    <div class="fieldset">
        <div class="field qty">
            <!-- <label class="label" for="qty"><span><?php /* @escapeNotVerified */
            //echo __('Qty') ?></span></label> -->
            <div class="control control-qty-cart">
							<span class="quantity-controls quantity-minus">-</span>
                <input type="number" name="qty" id="qty" maxlength="12" value="1" title="<?php /* @escapeNotVerified */
               echo __('Qty') ?>" class="qty-default input-text qty"
                       data-validate="<?php echo $block->escapeHtml(json_encode($block->getQuantityValidators())) ?>"
                />
								<span class="quantity-controls quantity-plus">+</span>
            </div>
        </div>
        </div>
</div>


															<button class="action tocart btn btn-primary 1111" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

																<span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
															</button>
														<?php endif?>
														</form></li>
													<?php endif?>
												</ul>
												 <?php if (!$_product->isSaleable()){ ?>
												     
												 <div class="notify-box notify-box-list">                
                     <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
                 </div>
                 	<?php } ?>
                 	
										</div>
									<?php } ?>
									</div>
								</div>
							</li>
						<?php endforeach?>
					<?php endif?>
		        </ol>
					</div>
				</div>

    </div>
	<div class="bottom-pagination<?php if ($themeHelper->getStoreConfig('mpanel/catalog/ajaxscroll')): ?> ajaxscroll-enable<?php endif?>">
		<?php echo $block->getToolbarHtml() ?>
	</div>
    <?php if (!$block->isRedirectToCartEnabled()): ?>
        <script type="text/x-magento-init">
        {
            "[data-role=tocart-form], .form.map.checkout": {
                "catalogAddToCart": {}
            }
        }
        </script>
    <?php endif;?>
<?php endif;?>

<script>
	require([
	'jquery',
	'waypoints'
], function(jQuery){
	(function($) {
		$('.filter-toggle .title').click(function(){
			$('html').toggleClass('filter-open');
		});
	})(jQuery);
});
</script>

<script type="text/javascript">
	requirejs([
		'require',
		'jquery',
		'mgsmasonry',
		'mgsvisible'
	], function( require, $, Masonry) {
		require( [ 'bridget' ], function( jQueryBridget ) {
			jQueryBridget( 'masonry', Masonry, $ );
			$(window).load(function() {
				var $container = $('.product-list-masonry-change-product').masonry({
					itemSelector: '.product-item-masonry',
					columnWidth: '.product-item-masonry',
					horizontalOrder: true
				});
				$('.layout-mode-button-group').on( 'click', 'a', function() {
				  // change layout mode
				  	$container.masonry({
				  		columnWidth: '.product-item-masonry',
				  		maxHeight: 0
				  	});
				});

				// change is-checked class on buttons
				$('.button-group').each( function( i, buttonGroup ) {
				  var $buttonGroup = $( buttonGroup );
				  $buttonGroup.on( 'click', 'a', function() {
				    $buttonGroup.find('.is-checked').removeClass('is-checked');
				    $( this ).addClass('is-checked');
				  });
				});
			});
			$(document).ajaxComplete(function() {
				var $container = $('.product-list-masonry-change-product').masonry({
					itemSelector: '.product-item-masonry',
					columnWidth: '.product-item-masonry',
					horizontalOrder: true
				});
				$('.layout-mode-button-group').on( 'click', 'a', function() {
				  // change layout mode
				  	$container.masonry({
				  		columnWidth: '.product-item-masonry',
				  		maxHeight: 0
				  	});
				});

				// change is-checked class on buttons
				$('.button-group').each( function( i, buttonGroup ) {
				  var $buttonGroup = $( buttonGroup );
				  $buttonGroup.on( 'click', 'a', function() {
				    $buttonGroup.find('.is-checked').removeClass('is-checked');
				    $( this ).addClass('is-checked');
				  });
				});
				<?php if($storeCode == 'us'){?>
					if (typeof yotpo !== 'undefined') {
    					// the variable is defined
    					var api = new Yotpo.API(yotpo);
						api.refreshWidgets();
					}
					
				<?php } ?>
			});
		});

		$(window).scroll(function(){
			$(".product-list-masonry-change-product > .product-item-masonry").each(function(){
				if($(this).visible(true,true,'vertical')) {
					$(this).addClass('enable');
				}else {
					$(this).removeClass('enable');
				}
			});
		});
	});
</script>

<script type="text/javascript">
    require([
          'jquery'
      ], function ($) {
          $('.quantity-plus').click(function () {
          	console.log("clicked");
              // $('.qty-default').val(Number($('.qty-default').val()) + 1);
              var currentQTY = parseInt($(this).parent().parent().find(".qty-default").val());
              currentQTY = currentQTY + 1;
              $(this).parent().parent().find(".qty-default").val(currentQTY);
          });

          $('.quantity-minus').click(function () {
              // var value = Number($('.qty-default').val()) - 1;
              var currentQTY = parseInt($(this).parent().parent().find(".qty-default").val());
              currentQTY = currentQTY - 1;
              if (currentQTY > 0) {
                  $(this).parent().parent().find(".qty-default").val(currentQTY);
              }
          });

					// Equel Height
					let win = window.innerWidth;
					if (win > 767) {
						(function () {
							equalHeight(false);
						})();

						window.onresize = function(){
							equalHeight(true);
						}

						// let reOrderVisible = $('.products.grid.products-grid .item .item-product-col .product-item-details .ampreorder-note').visible();
						// $(if (reOrderVisible == true) {
						// 	$('.products.grid.products-grid .item .item-product-col .product-item-details .product-item-name').height('height', '120px');
						// });
					}

			    function equalHeight(resize) {
			      var elements = document.getElementsByClassName("equalHeight"),
			          allHeights = [],
			          i = 0;
			      if(resize === true){
			        for(i = 0; i < elements.length; i++){
			          elements[i].style.height = 'auto';
			        }
			      }
			      for(i = 0; i < elements.length; i++){
			        var elementHeight = elements[i].clientHeight;
			        allHeights.push(elementHeight);
			      }
			      for(i = 0; i < elements.length; i++){
			        elements[i].style.height = Math.max.apply( Math, allHeights) + 'px';
			        if(resize === false){
			          elements[i].className = elements[i].className + " show";
			        }
			      }
			    }
      });
</script>
